Name:          tiles-request
Version:       1.0.6
Release:       1%{?dist}
Summary:       Tiles Request Framework
License:       ASL 2.0
URL:           http://tiles.apache.org/tiles-request/
Source0:       http://www.apache.org/dist/tiles/request/v%{version}/%{name}-%{version}-src.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.github.spullara.mustache.java:compiler)
BuildRequires: mvn(javax.portlet:portlet-api)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.servlet.jsp:javax.servlet.jsp-api)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.tiles:tiles-autotag-core-runtime)
BuildRequires: mvn(org.apache.velocity:velocity-tools)
BuildRequires: mvn(org.freemarker:freemarker)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc-portlet)

BuildArch:     noarch

%description
Tiles has served the purpose of rendering views for the
Model-View-Controller pattern in JavaEE for years.

Tiles-3 introduces a complete standalone and super simple
abstraction around request/response objects.

We've all seen that the various technologies like Servlet,
Portlet, JSP, Velocity, FreeMarker seem to have a different
abstraction of a common pattern. They all have a concept of:

° request: the client request, or some sort of it;
° response: the response to send to the client,
  or to the caller, with a writer/output stream to write into;
° attributes: usually maps (or map-like structures) with
  string keys and object values;
° scope: places where different attribute maps are stored
  (request, session, etc.)

Now all of these scopes are concentrated into "Request"
interfaces, that acts as a single point of reference for the
developer. In theory, everything you need for rendering a
view can be obtained by an object that implements Request, and
Request implementations can be built that do not rely on
an application server environment.

Currently there are bindings for Servlet, Portlet, JSP, Mustache,
Velocity and FreeMarker.

%package api
Summary:       Tiles request - API

%description api
API for the Tiles Request framework.

%package freemarker
Summary:       Apache Tiles Request - Freemarker support

%description freemarker
Freemarker implementation of the Tiles request framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package jsp
Summary:       Apache Tiles Request - JSP support

%description jsp
JSP implementation of the Tiles Request framework.

%package mustache
Summary:       Apache Tiles Request - Mustache support

%description mustache
Tiles request implementation for Mustache templates.

%package portlet
Summary:       Apache Tiles Request - Portlet support

%description portlet
Tiles portlet support, to enable use of Tiles inside a Portlet container.

%package portlet-wildcard
Summary:       Apache Tiles - Wildcard file loading in Portlets

%description portlet-wildcard
Tiles Wildcard file loading in Portlets:
Allows to load resources using wildcards.

%package servlet
Summary:       Apache Tiles Request - Servlet support

%description servlet
Tiles request implementation for Servlet technology.

%package servlet-wildcard
Summary:       Apache Tiles Request - Wildcard file loading in Servlets

%description servlet-wildcard
Wildcard file loading in Servlets:
Allows to load resources using wildcards.

%package velocity
Summary:       Tiles Request - Velocity support

%description velocity
Velocity implementation of the Tiles Request framework.

%prep
%setup -q -n %{name}-%{version}

mv src/assembly .
mv src/tiles* .
mv src/src/* src/
mv src/pom.xml .
rm -r src/src

%pom_remove_parent
%pom_disable_module assembly
%pom_remove_plugin -r :maven-scm-publish-plugin

%pom_change_dep -r javax.servlet:servlet-api javax.servlet:javax.servlet-api:3.1.0
%pom_change_dep -r javax.servlet.jsp:jsp-api javax.servlet.jsp:javax.servlet.jsp-api:2.3.2

%build

# test skip for unavailable deps: org.apache.shale:shale-test org.easymock:easymockclassextension
%mvn_build -sf -- -Dproject.build.sourceEncoding=UTF-8
 
%install
%mvn_install

%files -f .mfiles-tiles-request
%doc LICENSE.txt NOTICE.txt

%files api -f .mfiles-tiles-request-api
%doc LICENSE.txt NOTICE.txt

%files freemarker -f .mfiles-tiles-request-freemarker

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%files jsp -f .mfiles-tiles-request-jsp
%files mustache -f .mfiles-tiles-request-mustache
%files portlet -f .mfiles-tiles-request-portlet
%files portlet-wildcard -f .mfiles-tiles-request-portlet-wildcard
%files servlet -f .mfiles-tiles-request-servlet
%files servlet-wildcard -f .mfiles-tiles-request-servlet-wildcard
%files velocity -f .mfiles-tiles-request-velocity

%changelog
* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 1.0.6-1
- update to 1.0.6

* Fri Oct 25 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- update to 1.0.3

* Mon Dec 31 2012 gil cattaneo <puntogil@libero.it> 1.0.2-1
- update to 1.0.2

* Mon Dec 03 2012 gil cattaneo <puntogil@libero.it> 1.0.1-1
- update to 1.0.1

* Thu Jun 07 2012 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm
